# Get Pipeline Feedback Stats

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Get Pipeline Feedback Stats"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v2/workspaces/{workspace_id}/pipelines/{pipeline_id}/feedback/stats"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Return feedback stats for a pipeline.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"Type the id of the workspace.","in":"path","name":"workspace_id","required":true,"schema":{"description":"Type the id of the workspace.","format":"uuid","title":"Workspace Id","type":"string"}},{"in":"path","name":"pipeline_id","required":true,"schema":{"format":"uuid","title":"Pipeline ID","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"accuracy":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The accuracy of the pipeline. We compute the accuracy by dividing the total number of queries with positive feedback by the total number of queries with any feedback. Searches without any feedback are therefore not taken into account.","title":"Accuracy"},"feedback_count":{"description":"The amount of feedback.","title":"Feedback Count","type":"integer"},"negative_feedback_count":{"description":"The total number of negative feedback entries.","title":"Negative feedback count","type":"integer"},"neutral_feedback_count":{"description":"The total number of neutral feedback entries.","title":"Neutral feedback count","type":"integer"},"positive_feedback_count":{"description":"The total number of positive feedback entries.","title":"Positive feedback count","type":"integer"},"user_count":{"description":"The number of users who have given feedback.","title":"User Count","type":"integer"}},"required":["user_count","feedback_count","positive_feedback_count","neutral_feedback_count","negative_feedback_count","accuracy"],"title":"FeedbackStats","type":"object"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
